.floating-wpp {
  position: fixed;
  bottom: 15px;
  left: 15px;
  font-size: 14px;
  z-index: 9999;
  font-family: sans-serif;
  transition: bottom 0.2s;
}

.floating-wpp .floating-wpp-button {
  position: relative;
  border-radius: 50%;
  box-shadow: 1px 1px 4px rgba(60, 60, 60, 0.4);
  transition: box-shadow 0.2s;
  cursor: pointer;
  overflow: hidden;
  width: 50px;
  height: 50px;
  background-color: #25D366;
  display: flex;
  align-items: center;
  justify-content: center;
}

.floating-wpp .floating-wpp-button i {
  font-size: 30px;
  color: #fff;
}

.floating-wpp:hover {
  bottom: 17px;
}

.floating-wpp:hover .floating-wpp-button {
  box-shadow: 1px 2px 8px rgba(60, 60, 60, 0.4);
}

.floating-wpp-popup {
  border-radius: 6px;
  background-color: #e5ddd5;
  position: absolute;
  overflow: hidden;
  box-shadow: 1px 2px 8px rgba(60, 60, 60, 0.25);
  width: 0;
  height: 0;
  bottom: 0;
  opacity: 0;
  transition: bottom 0.1s ease-out, opacity 0.2s ease-out, width 0s 0.2s, height 0s 0.2s;
  transform-origin: bottom;
  padding: 0;
}

.floating-wpp-popup.active {
  padding: 0 12px 12px 12px;
  width: 260px;
  height: auto;
  bottom: 70px;
  opacity: 1;
  transition: bottom 0.1s ease-out, opacity 0.2s ease-out;
}

.floating-wpp-head {
  text-align: right;
  color: #fff;
  margin: 0 -15px 10px -15px;
  padding: 6px 12px;
  display: flex;
  justify-content: space-between;
  cursor: pointer;
  background-color: #128C7E;
  align-items: center;
}

.floating-wpp-head span {
  font-weight: 700;
}

.floating-wpp-head .close {
  font-size: 20px;
  line-height: 1;
}

.floating-wpp-message {
  background-color: #fff;
  padding: 8px;
  border-radius: 0 5px 5px 5px;
  box-shadow: 1px 1px 1px rgba(0, 0, 0, 0.15);
  opacity: 0;
  transition: opacity 0.2s;
  margin-bottom: 10px;
  color: #333;
}

.floating-wpp-popup.active .floating-wpp-message {
  opacity: 1;
  transition-delay: 0.2s;
}

.floating-wpp-input {
  background-color: #fff;
  display: flex;
  align-items: center;
  border-radius: 4px;
  border: 1px solid #ccc;
  overflow: hidden;
}

.floating-wpp-input textarea {
  border: none;
  box-shadow: none;
  padding: 8px;
  width: 100%;
  resize: none;
  outline: none;
  font-family: inherit;
  font-size: inherit;
  height: 36px;
}

.floating-wpp-btn-send {
  padding: 8px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  color: #afafaf;
  font-size: 18px;
}

.floating-wpp.right {
  left: auto;
  right: 15px;
}

.floating-wpp.right .floating-wpp-popup {
  right: 0;
  transform-origin: bottom right;
}
